<ion-header>
  <ion-toolbar>
    <ion-title>payment</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <section>
    <header>
      <h4>Método de pago</h4>
    </header>
    <ion-grid>
      <ion-radio-group [(ngModel)]="metodo_pago">
      <ion-row>
        
        <ion-col size="1">
          <ion-radio color="success" value="free"></ion-radio>
        </ion-col>
        <ion-col size="11">
          <ion-label>Tarjeta de crédito</ion-label>

          <ion-row>
            <ion-col size="12">
              <ion-input type="text" placeholder="Card Number" [(ngModel)]="cardNumber"></ion-input>
            </ion-col>
          </ion-row>

          <ion-row>
            <ion-col size="12">
              <ion-input type="text" placeholder="Card Holder Name" [(ngModel)]="cardName"></ion-input>
            </ion-col>
          </ion-row>

          <ion-row>
            <ion-col size="6">
              <ion-input type="text" placeholder="Exp. Month (MM)" [(ngModel)]="expMonth"></ion-input>
            </ion-col>
            <ion-col size="6">
              <ion-input type="text" placeholder="Exp. Year (YYYY)" [(ngModel)]="expYear"></ion-input>
            </ion-col>
          </ion-row>

          <ion-row>
            <ion-col size="12">
              <ion-input type="text" placeholder="CVV" [(ngModel)]="cvv"></ion-input>
            </ion-col>
          </ion-row>
        </ion-col>
      </ion-row>
    </ion-radio-group>
    </ion-grid>
  </section>

  <section>
    <header>
      <h4>Código promocional</h4>
    </header>
    <ion-item lines="none">
      <div class="button-inside-input" style="display:flex">
        <ion-input type="text" placeholder="Introduce el código de promoción... (Opcional)" [(ngModel)]="codigo_promocion"></ion-input>
        <button clear>Aplicar</button>
      </div>
   </ion-item>
  </section>

  <section>
    <header>
      <h4>Dirección de facturación</h4>
    </header>
    <ion-list>
      <ion-radio-group [(ngModel)]="metodo_facturacion">
        <ion-item lines="none">
          <ion-label text-wrap>
            Igual que la dirección de envío
          </ion-label>
          <ion-radio slot="start" color="success" value="free"></ion-radio>
        </ion-item>

        <ion-item lines="none">
          <ion-label text-wrap>
            Usa una dirección diferente
          </ion-label>
          <ion-radio slot="start" color="success" value="pay"></ion-radio>
        </ion-item>
      </ion-radio-group>
    </ion-list>
  </section>

  <section>
    <ion-item lines="none">
      <ion-label text-wrap>
        <small>I agree with the <ion-text color="success">Sales Terms and Conditions</ion-text> and with the <ion-text color="success">Website Terms of Use</ion-text>.</small>
      </ion-label>
      <ion-checkbox slot="start" color="primary" [(ngModel)]="checked"></ion-checkbox>

    </ion-item>
    <ion-item class="info-medium">
      <small>El método de pago que seleccionó puede requerir una verificación adicional. Es posible que se lo redireccine a un sitio de un tercero para completar la verificación.</small>
    </ion-item>
  </section>

  <section>
    <ion-button expand="block" color="success" (click)="finish()">Finalizar</ion-button>
    <ion-button expand="block" color="medium" routerLink="/envio">Back to shipping method</ion-button>

  </section>

</ion-content>
